=head1 NAME

fb_config - query firebird configuration

=head1 SYNOPSIS

    B<fb_config> I<option>...

=head1 DESCRIPTION

B<fb_config> prints various configuration parameters of Firebird.

=head1 OPTIONS

=over

=item B<--cflags>

Print flags suitable for adding to the C compiler invocation.

=item B<--libs>

Print flags for linking with the Firebird client library.

=item B<--embedlibs>

Synonym to L<--libs> in Firebird since version 3.0.

=item B<--bindir>

Print the location of the user binaries.

=item B<--sbindir>

Print the location of the superuser binaries.

=item B<--confdir>

Print the root of the Firebird installation.

=item B<--docdir>

Print the directory containing Firebird documentation.

=item B<--sampledir>

Print the directory contatining Firebird examples.

=item B<--sampledbdir>

Print the directory containing the sample database F<employee.fdb>.

=item B<--intldir>

Print the directory containing the Firebird international library and its
configuration file.

=item B<--securedbdir>

Print the directory containing the default security database, F<security3.fdb>.

=item B<--msgdir>

Print the directory containing the Firebird message file, F<firebird.msg> and
its translated variants.

=item B<--logdir>

Print the directory containing the Firebird log files.

=item B<--glockdir>

Print the directory containing the lock file of the Firebird guardian process.

=item B<--pluginsdir>

Print the directory containing Firebird plugins.

=item B<--version>

Print the version number of the Firebird installation.

=back

=head1 AUTHOR & COPYRIGHT

Copyright (C) 2016, Damyan Ivanov.

This manpage was written by Damyan Ivanov for the Debian project. Permission is
granted to use this document, with or without modifications, provided that this
notice is retained. If we meet some day, and you think this stuff is worth it,
you can buy me a beer in return.
